import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.BAD_REQUEST;
const defaultMessage = `${statusCode} Bad request`;
export default class BadRequestException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'BadRequestException';
    }
}
