import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.CONFLICT;
const defaultMessage = `${statusCode} Conflict`;
export default class ConflictException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'ConflictException';
    }
}
