import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.FORBIDDEN;
const defaultMessage = `${statusCode} Forbidden`;
export default class ForbiddenException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'ForbiddenException';
    }
}
