import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.REQUEST_TIMEOUT;
const defaultMessage = `${statusCode} Request timeout`;
export default class RequestTimeoutException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'RequestTimeoutException';
    }
}
