import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.SERVICE_UNAVAILABLE;
const defaultMessage = `${statusCode} Service unavailable`;
export default class ServiceUnavailableException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'ServiceUnavailableException';
    }
}
