import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.UNAUTHORIZED;
const defaultMessage = `${statusCode} Unauthorized`;
export default class UnauthorizedException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'UnauthorizedException';
    }
}
