import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.INTERNAL_SERVER_ERROR;
const defaultMessage = `${statusCode} Internal Server Error`;
export default class InternalServerException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'InternalServerException';
    }
}
