import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.NOT_ACCEPTABLE;
const defaultMessage = `${statusCode} Not Acceptable`;
export default class NotAcceptableException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'NotAcceptableException';
    }
}
