import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.PAYLOAD_TOO_LARGE;
const defaultMessage = `${statusCode} Payload too large`;
export default class PayloadTooLargeException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'PayloadTooLargeException';
    }
}
