import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.UNPROCESSABLE_ENTITY;
const defaultMessage = `${statusCode} Unprocessable entity`;
export default class UnprocessableEntityException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'UnprocessableEntityException';
    }
}
