import HttpException from './HttpException';
import httpStatus from '../utils/http-status';
const statusCode = httpStatus.UNSUPPORTED_MEDIA_TYPE;
const defaultMessage = `${statusCode} Unsupported media type`;
export default class UnsupportedMediaTypeException extends HttpException {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'UnsupportedMediaTypeException';
    }
}
