import HttpException from '../exceptions/HttpException';
export default function errorMiddleware(error, _, res, next) {
    console.error(error);
    if (error instanceof HttpException) {
        return error.sendResponse(res);
    }
    return res.status(500).json({
        message: error?.message || 'Unknown error has occurred, Please try again.',
        statusCode: 500
    });
}
